package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.widget.BaseAdapter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface CheckLabelStatusConstact {
	interface View extends BaseView<Presenter> {
		void setPageTitle(String homeTitle);
		void finishPage(); 
		void readQRCode();
		void vibrate(int duration);
//		void addLabelTextChangedListener(TextWatcher t);
//		void removeLabelTextChangedListener(TextWatcher t);
//      void addCheckCodeTextChangedListener(TextWatcher t);
//		void removeCheckCodeTextChangedListener(TextWatcher t);
//		void setLabelStr(String labelStr);
//		String getLabelStr();
//		void setCheckCodeStr(String checkCodeStr);
//		String getCheckCodeStr();
		void setResultAdapter(BaseAdapter adapter);
		void setMoreOptionVisibility(int visibility);
		void setMoreOptionStr(String moreOptionStr);
		void addHeaderView(android.view.View headerView);
	}

	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void backClick();
//		void btnScannerClick();
//		void btnCheckClick();
		void scannerSuccess(String scannerContentStr);
		void onBackPressed();
		
	}

}
